NIEKOMPATYBILNOŚĆ SKÓREK

w dziale Dostosowywanie Opery do własnych potrzeb
Cr3dO napisał(a):

Hej, jak wiadomo, każda aplikacja się rozwija, tak i Opera.
Mamy już Operę 11.52 i 12 betę. Za jakiś rok będzie 13, później 14, itd.
A niestety nie ma kompatybilności skórek, tą co zrobiłem pod 10 inaczej wygląda w 11, inaczej w 12.
Co jest głupie, bo np. Winamp w każdej wersji obsługuje standardowe skórki i taką zrobiłem. Była robiona pod Winampa 2 a mam teraz 5 coś i śmiga

I nie wiem co teraz zrobić, zostać w Operze 10, plusy takie że skórka fajnie wygląda, minusy takie że wszystkie nowości nie trafią już do 10.

Saskatchewan napisał(a):

Originally posted by Cr3dO:

A niestety nie ma kompatybilności skórek, tą co zrobiłem pod 10 inaczej wygląda w 11, inaczej w 12.

Jeżeli skórka ma zdefiniowane WSZYSTKIE sekcje zdefiniowane w skórce domyślnej, to (nie licząc nowych elementów pojawiających się w nowych wersjach, np. zmienione Szybkie wybieranie, grupy kart, ...) powinna w kolejnych wersjach Opery wyglądać niemal identycznie. Jeżeli jakaś sekcja nie jest zdefiniowana, to logicznym jest, aby była ładowana jej domyślna wersja.

Niezmiernie trudno jest jednak stworzyć skórkę, która nadpisywała by wszystko, co domyślne. - Podejrzewam, że twoja też taka nie jest.

Możliwe też, że kompatybilność ze starymi skórkami została nieco zachwiana przy wprowadzeniu interfejsu Featherweight (czy jak oni to tam nazywają), ale jeżeli skórka się ładuje i nie zawiesza Opery, to podejrzewam, że chodzi o to o czym napisałem wyżej.

Originally posted by Cr3dO:

I nie wiem co teraz zrobić, zostać w Operze 10 (...)

Jeżeli w najnowszej wersji nie ma bardzo cię rażących błędów, to ja bym na twoim miejscu zaktualizował. W końcu kiedyś będziesz musiał to zrobić. (Zakładam, że zdajesz sobie sprawę z tego, czym grozi używanie nieaktualnej przeglądarki.)